# -*- coding: utf-8 -*-
"""
/***************************************************************************
 CityJsonLoaderDialog
                                 A QGIS plugin
 This plugin allows for CityJSON files to be loaded in QGIS
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                             -------------------
        begin                : 2018-06-08
        git sha              : $Format:%H$
        copyright            : (C) 2018 by 3D Geoinformation
        email                : s.vitalis@tudelft.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

import os

from PyQt5 import uic
from PyQt5 import QtWidgets

FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'cityjson_loader_dialog_base.ui'))


class CityJsonLoaderDialog(QtWidgets.QDialog, FORM_CLASS):
    def __init__(self, parent=None):
        """Constructor."""
        super(CityJsonLoaderDialog, self).__init__(parent)
        # Set up the user interface from Designer.
        # After setupUI you can access any designer object by doing
        # self.<objectname>, and you can use autoconnect slots - see
        # http://qt-project.org/doc/qt-4.8/designer-using-a-ui-file.html
        # #widgets-and-dialogs-with-auto-connect
        self.setupUi(self)
    
    def reset_fields(self):
        """Reset the fields in the dialog."""
        self.listWidget.clear()
        self.cityjsonVersionLineEdit.clear()
        self.compressedLineEdit.clear()
        self.crsLineEdit.clear()

        # Clear metadata box
        self.metadataTreeView.setModel(None)
        
         # Reset checkboxes and disable them
        self.inheritParentAttributesCheckBox.setChecked(False)
        self.splitByTypeCheckBox.setChecked(False)
        self.semanticsLoadingCheckBox.setChecked(False)
        self.semanticSurfacesStylingCheckBox.setChecked(False)
        self.inheritParentAttributesCheckBox.setEnabled(False)
        self.splitByTypeCheckBox.setEnabled(False)
        self.semanticsLoadingCheckBox.setEnabled(False)
        self.semanticSurfacesStylingCheckBox.setEnabled(False)
        
        # Reset Lod checkboxes
        self.loDLoadingComboBox.setCurrentIndex(0)
        self.loDSelectionComboBox.setCurrentIndex(0)
